Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

ACAD Mechl And Visual Lisp - Change balloon arrow size

4 REPLIES 4
Reply
Message 1 of 5
NirantarVidyarthee
639 Views, 4 Replies

ACAD Mechl And Visual Lisp - Change balloon arrow size

I want to change the arrow size in AutoCAD mechanical using Visual Lisp. (No other language is allowed by the company).

 

I have the code in VBA but I have not been able to generate equivalent Vlisp code.

 

The code fails at the following line saying "; error: Automation Error. Problem in loading application".

 

Importing the library does not make any difference (but I think it is not necessary).

 

(vl-load-com)

 

(setq symBB (vlax-invoke-method (vlax-get-acad-object) 'getInterfaceObject "SymBBAuto.McadSymbolBBMgr")))

 

From there, I have to get the BomMgr and so on. But I am unable to take the first step itself.

 

Can somebody help me?

4 REPLIES 4
Message 2 of 5

Doesn't anybody use Visaul Lisp with ACM?

 

Nodosy has even reaf this post.

 

Is anything wrong with this? Is it a wrong forum for the post?

Message 3 of 5
devitg
in reply to: NirantarVidyarthee

Please upload a sample dwg . 

Message 4 of 5


@NirantarVidyarthee wrote:

I want to change the arrow size in AutoCAD mechanical using Visual Lisp. (No other language is allowed by the company).

 

I have the code in VBA but I have not been able to generate equivalent Vlisp code.

 

The code fails at the following line saying "; error: Automation Error. Problem in loading application".

 

Importing the library does not make any difference (but I think it is not necessary).

 

(vl-load-com)

 

(setq symBB (vlax-invoke-method (vlax-get-acad-object) 'getInterfaceObject "SymBBAuto.McadSymbolBBMgr")))

 

From there, I have to get the BomMgr and so on. But I am unable to take the first step itself.

 

Can somebody help me?


_$ (setq symBB (vlax-invoke-method (vlax-get-acad-object) 'getInterfaceObject "SymBBAuto.McadSymbolBBMgr")))
#<VLA-OBJECT IMcadSymbolBBMgr3 1478ed44>
; error: extra right paren on input
_1$
; reset after error
_$ (setq symBB (vlax-invoke-method (vlax-get-acad-object) 'getInterfaceObject "SymBBAuto.McadSymbolBBMgr"))
#<VLA-OBJECT IMcadSymbolBBMgr3 147919a4>
_$

Message 5 of 5
devitg
in reply to: NirantarVidyarthee

Please upload  a sample DWG , I have no skill in ACAD mec ,even an Acad mec dwg.

Just a simple  with  a  BOM  BALLOM WITH THE ARROW.

But I have lisp skill to dig deep on it.

Thanks

 

 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost